# ZipFileMe

![N|Solid](https://raw.githubusercontent.com/arizawan/app-docs/25d354ad/powered_by.png)

ZipFileMe is a cloud-enabled, mobile-ready, s3 and backblaze b2 integrated File uploading and sharing script. It's easy to use, easy to install and very handy tool to share any type of files.

# Features!

  - Simple drug and drop File upload system
  - Can Share files with multiple recipient at once
  - Can Download all files at once by zipping them automatically
  - Streamed Zip and download, so less resource dependency on server
  - Use Amazon S3 as file storage
  - Use backblaze b2 as file storage
  - Send Email Notifications to sender and receivers
  - Link can be shared with anyone
  - Ability to share already shared files to anyone without downloading files
  - Ability to add remove files from already shared link
  - 30 days validity of every share

You can also:
  - Login to backend to see the list of shares
  - Download Zipped files from backend directly
  - Delete Share files
  - Ban Users IP

### Requirements:

* **AWS** or **BlackBlaze** account
* PHP >= 7.0.0
* MySql >= 5.6.0
* OpenSSL PHP Extension
* PDO PHP Extension
* Mbstring PHP Extension
* Tokenizer PHP Extension
* XML PHP Extension

* **Make sure to read Server requirements before you start Laravel Requirement**
* **allow_url_fopen** should be set on inside your php.ini
* **mod_rewrite** should be enabled for Apache

### Before you start, Download this file
1. vendor.zip file [Download](https://drive.google.com/file/d/1TPMxPuiuxZhoASlnAcGPERT0u9Hi5Li9/view?usp=sharing)

### Installation video for cpanel

1. How to add SubDomain in Cpanel [Watch Video](https://youtu.be/uu81yvmowl8)
2. How to add MySql Database in Cpanel [Watch Video](https://youtu.be/8Y2GqCmzIx4)
3. How to add ZipFileMe Files in Cpanel [Watch Video](https://youtu.be/gE_JVM66gN0)
4. Creating Backup Before installation [Watch Video](https://youtu.be/x-QfVbUI9us)
5. Installation and Application Setup [Watch Video](https://youtu.be/_GEcjONIgpA)
6. How to get AWS S3 Key [Watch Video](https://youtu.be/5nonSaCzLVE)
7. How to get Blackblaze Key [Watch Video](https://youtu.be/vXQF3ES3gr0)

### Backend access
```sh
Admin Route : http://YOUR_DOMAIN/admin
user : superadministrator@zipfile.me
pass : thunder.32
```

### Installation Video for MAMP or cloud server

[Watch Video](https://www.youtube.com/watch?v=GfTkzUKBxsY)


### Apache Laravel virtual host example

```sh
<VirtualHost *:80>
    DocumentRoot "/Users/myName/Projects/laravel/public"
    ServerName myLaravel.dev
    <Directory "/Users/myName/Projects/laravel/public">
            AllowOverride All
            Options FollowSymLinks +Indexes
            Order allow,deny
            Allow from all
    </Directory>
</VirtualHost>
```
### Nginx Laravel virtual host example

```sh
server {
    listen 80;
    root /usr/share/nginx/html/laravel/public;
    index index.php index.html index.htm
    server_name laravel.dev;

    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }

    location ~ \.php$ {
        try_files $uri /index.php =404;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass unix:/var/run/php5-fpm.sock;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        include fastcgi_params;
    }
}
```
**Your configurations could be different**

**Make sure you have setup virtual host currently**

[Laravel Doc](https://laravel.com/docs/5.5/installation)


