<?php

namespace App\Http\Controllers;

use App\Helpers\CommonHelpers;
use Yajra\Datatables\Datatables;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('home');
    }

    public function getZipDownloadData()
    {
        $getAllShareCode = \App\ShareModel::where('status', 1)->orderBy('created_at', 'desc')->get();
        foreach ($getAllShareCode as $shareObj) {
            $getAllFiles   = \App\ShareFileModel::where('share_id', $shareObj->id)->where('status', 1)->get();
            $totalFileSize = 0;
            foreach ($getAllFiles as $shareFile) {
                $totalFileSize = (int) $totalFileSize + (int) $shareFile->file_size;
            }
            $shareObj->reciver_email   = implode(', ', explode(',', $shareObj->reciver_email)) ;
            $shareObj->totalSize    = CommonHelpers::formatSizeUnits($totalFileSize);
            $shareObj->totalFiles   = count($getAllFiles);
            $shareObj->downloadLink = '/download/code/zip/' . $shareObj->share_code;
            $shareObj->deleteLink = '/delete/code/zip/' . $shareObj->share_code;
            $shareObj->blocklink = '/block/code/ip/' . $shareObj->ip;
            $shareObj->unblocklink = '/unblock/code/ip/' . $shareObj->ip;
            $shareObj->firewall = 'no';

            $blacklisted = \Firewall::isBlacklisted($shareObj->ip);
            if($blacklisted){
                $shareObj->firewall = 'yes';
            }

        }
        return Datatables::of($getAllShareCode)->toJson();
    }


}
