@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">

                <div class="panel-body">

                    @section('content')
                        <div class="col-md-12 col-sm-12 col-xs-12">

                            @if (session('status'))
                                <div class="alert alert-success" role="alert">
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    {{ session('status') }}
                                </div>
                            @endif

                            @if (session('error'))
                                <div class="alert alert-danger" role="alert">
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    {!! session('error') !!}
                                </div>
                            @endif
                            <!-- Content Start -->

                            <!-- Nav tabs -->
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active">
                                  <a href="#appsettings" aria-controls="appsettings" role="tab" data-toggle="tab">Application</a>
                                </li>
                                <li role="presentation">
                                  <a href="#database" aria-controls="database" role="tab" data-toggle="tab">Database</a>
                                </li>
                                <li role="presentation">
                                  <a href="#email" aria-controls="email" role="tab" data-toggle="tab">Email</a>
                                </li>
                                <li role="presentation">
                                  <a href="#aws" aria-controls="aws" role="tab" data-toggle="tab">AWS</a>
                                </li>
                                <li role="presentation">
                                  <a href="#blackbaze" aria-controls="blackbaze" role="tab" data-toggle="tab">Blackblaze (B2)</a>
                                </li>
                            </ul>

                            <!-- Tab panes -->
                            <div class="tab-content">

                                <!-- App Settings -->
                                <div role="tabpanel" class="tab-pane active" id="appsettings">

                                    <div class="col-md-8 col-md-offset-2 well profile-section">
                                        <form class="form-horizontal" method="post" action="/admin/settings/update/appsettings">
                                          {{ csrf_field() }}
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Name</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Applications Name" required="" name="appName" value="{{ $settings['APP_NAME']['value'] }}">
                                            </div>
                                          </div>
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Use Storage</label>
                                            <div class="col-sm-8">
                                              <select class="form-control" required="" name="appStorage">
                                                <option value="">Select...</option>
                                                <option value="s3" {{ ($settings['ZIPFILEME_USE_STORAGE']['value'] == 's3') ? 'selected' : '' }}>Amazon AWS (S3)</option>
                                                <option value="blackblaze" {{ ($settings['ZIPFILEME_USE_STORAGE']['value'] == 'blackblaze') ? 'selected' : '' }}>Blackblaze (B2)</option>
                                                <option value="local" {{ ($settings['ZIPFILEME_USE_STORAGE']['value'] == 'local') ? 'selected' : '' }}>Local Storage</option>
                                              </select>
                                            </div>
                                          </div>
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Debugging</label>
                                            <div class="col-sm-8">
                                              <select class="form-control" required="" name="appDebug">
                                                <option value="true" {{ ($settings['APP_DEBUG']['value'] == 'true') ? 'selected' : '' }}>Enable</option>
                                                <option {{ ($settings['APP_DEBUG']['value'] == 'false') ? 'selected' : '' }} value="false">Disable</option>
                                              </select>
                                            </div>
                                          </div>
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Domain</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Applications domain name" required="" name="appDomain" value="{{ $settings['APP_URL']['value'] }}">
                                            </div>
                                          </div>
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">App Email</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Email id which will be used as sent from and reply to" required="" name="appEmail" value="{{ $settings['APP_EMAIL']['value'] }}">
                                            </div>
                                          </div>
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Timezone</label>
                                            <div class="col-sm-8">
                                              <select class="form-control selectpicker" data-live-search="true" required="" name="appTimezone">
                                                <option>Select...</option>
                                                @foreach($timezones as $t)
                                                  <option value="{{$t['zone']}}" {{ ($settings['APP_TIMEZONE']['value'] == $t['zone']) ? 'selected' : '' }}>
                                                    {{$t['diff_from_GMT'] . ' - ' . $t['zone'] }}
                                                  </option>
                                                @endforeach
                                              </select>
                                            </div>
                                          </div>
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Firewall</label>
                                            <div class="col-sm-8">
                                              <select class="form-control" required="" name="appFirewall">
                                                <option value="true" {{ ($settings['FIREWALL_ENABLED']['value'] == 'true') ? 'selected' : '' }}>Enable</option>
                                                <option {{ ($settings['FIREWALL_ENABLED']['value'] == 'false') ? 'selected' : '' }} value="false">Disable</option>
                                              </select>
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Maximum Allowed File Size</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Megabytes" required="" name="appFileSize" value="{{ $settings['APP_MAX_FILE_SIZE']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Maximum Allowed File Number (Single Share)</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Number of files allowed in single upload" required="" name="appFileQty" value="{{ $settings['APP_MAX_FILE_QTY']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Maximum Upload timeout (Millisecond)</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Milliseconds" required="" name="appUploadTimeOut" value="{{ $settings['APP_UPLOAD_TIMEOUT']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <div class="col-sm-12">
                                              <button type="submit" class="btn btn-success pull-right">Save App Settings</button>
                                            </div>
                                          </div>
                                        </form>

                                        <p class="text-center" style="padding:20px;">
                                          <b style="padding:20px;width:100%; float: left;">Please make sure to update your php.ini settings</b>
                                            <code style="text-align:center;width:100%;float:left;padding: 20px; border:1px solid #ccc;">{!!$phpIniSettings!!}</code>
                                        </p>
                                    </div>

                                </div>


                                <!-- Database settings -->
                                <div role="tabpanel" class="tab-pane" id="database">

                                    <div class="col-md-8 col-md-offset-2 well profile-section">

                                        <p class="text-center" style="padding:20px;">
                                          <b>Database settings <span style="color:red;">can not</span> be updated from here.</b>
                                        </p>

                                        <form class="form-horizontal">
                                           {{ csrf_field() }}
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Host</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Database Host" required="" name="appDbHost" value="{{ $settings['DB_HOST']['value'] }}" readonly="">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Port</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control" value="3306" placeholder="Database Port" required="" name="appDbPort" value="{{ $settings['DB_PORT']['value'] }}" readonly="">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">User Name</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Database User name" required="" name="appDbUserName" value="{{ $settings['DB_USERNAME']['value'] }}" readonly="">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Password</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Database Password" required="" name="appDbPassword" value="{{ $settings['DB_PASSWORD']['value'] }}" readonly="">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Database Name</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Database Name" required="" name="appDbName" value="{{ $settings['DB_DATABASE']['value'] }}" readonly="">
                                            </div>
                                          </div>

                                        </form>

                                        <p class="text-center" style="padding:20px;">
                                          <b>To update database settings, update .env files 'DB Config' section</b><br>
                                          .env location : <pre>{{app_path()}}\.env</pre>
                                        </p>
                                    </div>

                                </div>


                                <!-- Email Settings -->
                                <div role="tabpanel" class="tab-pane" id="email">

                                    <div class="col-md-8 col-md-offset-2 well profile-section">
                                        <form class="form-horizontal" method="post" action="/admin/settings/update/emailsettings">
                                          {{ csrf_field() }}
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Host</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="SMTP Host" required="" name="appSMTPHost" value="{{ $settings['MAIL_HOST']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Port</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="SMTP Port" required="" name="appSMTPPort" value="{{ $settings['MAIL_PORT']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">User Name</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="SMTP User name" required="" name="appSMTPUserName" value="{{ $settings['MAIL_USERNAME']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Password</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="SMTP Password" required="" name="appSMTPPassword" value="{{ $settings['MAIL_PASSWORD']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Encryption</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control" placeholder="SMTP Encryption Type" required="" name="appSMTPEncryption" value="{{ $settings['MAIL_ENCRYPTION']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Sent From Email</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Sent From Email address" required="" name="appSentFromEmail" value="{{ $settings['MAIL_FROM_ADDRESS']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">Sent From Name</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Sent From Name" required="" name="appSentFromName" value="{{ $settings['MAIL_FROM_NAME']['value'] }}">
                                            </div>
                                          </div>



                                          <div class="form-group">
                                            <div class="col-sm-12">
                                              <button type="submit" class="btn btn-success pull-right">Save Email Settings</button>
                                            </div>
                                          </div>
                                        </form>

                                        <hr>
                                        <p class="text-center" style="padding:20px;">
                                            Wondering where to get <b>FREE</b> SMTP mailing account?
                                        </p>

                                        <p>

                                            <table class="table table-hover">
                                            <thead>
                                                <tr>
                                                    <th>
                                                        Name
                                                    </th>
                                                    <th>
                                                        Free Limit
                                                    </th>
                                                    <th>
                                                        Pricing
                                                    </th>
                                                    <th>
                                                        Sign Up
                                                    </th>
                                                    <th>
                                                        SMTP Doc.
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <th scope="row">
                                                        sendgrid.com
                                                    </th>
                                                    <td>
                                                        30,000 / Month
                                                    </td>
                                                    <td>
                                                        <a href="https://sendgrid.com/pricing/" target="_blank">See pricing</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://app.sendgrid.com/signup" target="_blank">Sign Up</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://sendgrid.com/docs/API_Reference/SMTP_API/integrating_with_the_smtp_api.html" target="_blank">SMTP Settings</a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">
                                                        mailgun.com
                                                    </th>
                                                    <td>
                                                        10,000 / Month
                                                    </td>
                                                    <td>
                                                        <a href="https://www.mailgun.com/pricing" target="_blank">See pricing</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://signup.mailgun.com/new/signup" target="_blank">Sign Up</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://documentation.mailgun.com/en/latest/user_manual.html#sending-via-smtp" target="_blank">SMTP Settings</a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">
                                                        Amazon SES
                                                    </th>
                                                    <td>
                                                        62,000 / Month
                                                    </td>
                                                    <td>
                                                        <a href="https://aws.amazon.com/ses/pricing/" target="_blank">See pricing</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://aws.amazon.com/ses/" target="_blank">Sign Up</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://docs.aws.amazon.com/ses/latest/DeveloperGuide/send-email-smtp.html" target="_blank">SMTP Settings</a>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <th scope="row">
                                                        mailjet.com
                                                    </th>
                                                    <td>
                                                        6,000 / Month
                                                    </td>
                                                    <td>
                                                        <a href="https://www.mailjet.com/pricing/" target="_blank">See pricing</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://app.mailjet.com/signup" target="_blank">Sign Up</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://dev.mailjet.com/guides/#choose-sending-method" target="_blank">SMTP Settings</a>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>

                                        </p>
                                    </div>

                                </div>


                                <!-- AWS Settings -->
                                <div role="tabpanel" class="tab-pane" id="aws">

                                    <div class="col-md-8 col-md-offset-2 well profile-section">
                                        <form class="form-horizontal" method="post" action="/admin/settings/update/awssettings">
                                          {{ csrf_field() }}
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">ACCESS KEY</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="AWS Access Key" required="" name="appAWSaccesskey" value="{{ $settings['AWS_ACCESS_KEY_ID']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">ACCESS KEY SECRET</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control" placeholder="AWS Access key secret" required="" name="appAWSaccesskeysecret" value="{{ $settings['AWS_SECRET_ACCESS_KEY']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">REGION</label>
                                            <div class="col-sm-8">
                                              <select class="form-control selectpicker" data-live-search="true" required="" name="appAWSregion">
                                                <option>Select...</option>
                                                <option value="us-east-2" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "us-east-2") ? 'selected' : '' }}>US East (Ohio)</option>
                                                <option value="us-east-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "us-east-1") ? 'selected' : '' }}>US East (N. Virginia)</option>
                                                <option value="us-west-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "us-west-1") ? 'selected' : '' }}>US West (N. California)</option>
                                                <option value="us-west-2" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "us-west-2") ? 'selected' : '' }}>US West (Oregon)</option>
                                                <option value="ca-central-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "ca-central-1") ? 'selected' : '' }}>Canada (Central)</option>
                                                <option value="ap-south-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "ap-south-1") ? 'selected' : '' }}>Asia Pacific (Mumbai)</option>
                                                <option value="ap-northeast-2" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "ap-northeast-2") ? 'selected' : '' }}>Asia Pacific (Seoul)</option>
                                                <option value="ap-northeast-3" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "ap-northeast-3") ? 'selected' : '' }}>Asia Pacific (Osaka-Local) </option>
                                                <option value="ap-southeast-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "ap-southeast-1") ? 'selected' : '' }}>Asia Pacific (Singapore)</option>
                                                <option value="ap-southeast-2" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "ap-southeast-2") ? 'selected' : '' }}>Asia Pacific (Sydney)</option>
                                                <option value="ap-northeast-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "ap-northeast-1") ? 'selected' : '' }}>Asia Pacific (Tokyo)</option>
                                                <option value="cn-north-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "cn-north-1") ? 'selected' : '' }}>China (Beijing)</option>
                                                <option value="cn-northwest-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "cn-northwest-1") ? 'selected' : '' }}>China (Ningxia)</option>
                                                <option value="eu-central-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "eu-central-1") ? 'selected' : '' }}>EU (Frankfurt)</option>
                                                <option value="eu-west-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "eu-west-1") ? 'selected' : '' }}>EU (Ireland)</option>
                                                <option value="eu-west-2" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "eu-west-2") ? 'selected' : '' }}>EU (London)</option>
                                                <option value="eu-west-3" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "eu-west-3") ? 'selected' : '' }}>EU (Paris)</option>
                                                <option value="sa-east-1" {{ ($settings['AWS_DEFAULT_REGION']['value'] == "sa-east-1") ? 'selected' : '' }}>South America (São Paulo)</option>
                                              </select>
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">BUCKET NAME</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="AWS bucket name" required="" name="appAWSbucket" value="{{ $settings['AWS_BUCKET']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <div class="col-sm-12">
                                              <button type="submit" class="btn btn-success pull-right">Save AWS Settings</button>
                                            </div>
                                          </div>
                                        </form>

                                        <hr>
                                        <p class="text-center" style="padding:20px;">
                                            How to get 5GB <b>FREE</b> AWS s3 account?
                                        </p>

                                        <p>

                                            <table class="table table-hover">
                                            <thead>
                                                <tr>
                                                    <th>
                                                        Name
                                                    </th>
                                                    <th>
                                                        Free Limit
                                                    </th>
                                                    <th>
                                                        Pricing
                                                    </th>
                                                    <th>
                                                        Sign Up
                                                    </th>
                                                    <th>
                                                        Key Retriving Guide.
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <th scope="row">
                                                        AWS S3
                                                    </th>
                                                    <td>
                                                        5GB / Month (free tier)
                                                    </td>
                                                    <td>
                                                        <a href="https://aws.amazon.com/s3/pricing/" target="_blank">See pricing</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://aws.amazon.com/s3/" target="_blank">Sign Up</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://docs.aws.amazon.com/general/latest/gr/managing-aws-access-keys.html#create-aws-access-key" target="_blank">Official Doc</a>
                                                        <br>
                                                        <a href="https://youtu.be/5nonSaCzLVE" target="_blank">Video Tutorial</a>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>

                                        </p>
                                    </div>

                                </div>


                                <!-- Blackbaze Settings -->
                                <div role="tabpanel" class="tab-pane" id="blackbaze">

                                    <div class="col-md-8 col-md-offset-2 well profile-section">
                                        <form class="form-horizontal" method="post" action="/admin/settings/update/b2settings">
                                          {{ csrf_field() }}
                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">ACCOUNT ID</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Blackbaze B2 account ID" required="" name="appB2accountid" value="{{ $settings['B2_ACCOUNT_ID']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">APP KEY</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control" placeholder="Blackbaze B2 App Key" required="" name="appB2appkey" value="{{ $settings['B2_APP_KEY']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <label  class="col-sm-4 control-label">BUCKET NAME</label>
                                            <div class="col-sm-8">
                                              <input type="text" class="form-control"  placeholder="Blackbaze B2 bucket name" required="" name="appB2bucket" value="{{ $settings['B2_BUCKET']['value'] }}">
                                            </div>
                                          </div>

                                          <div class="form-group">
                                            <div class="col-sm-12">
                                              <button type="submit" class="btn btn-success pull-right">Save Blackbaze Settings</button>
                                            </div>
                                          </div>
                                        </form>

<hr>
                                        <p class="text-center" style="padding:20px;">
                                            How to get 10GB <b>FREE</b> Blackblaze B2 account?
                                        </p>

                                        <p>

                                            <table class="table table-hover">
                                            <thead>
                                                <tr>
                                                    <th>
                                                        Name
                                                    </th>
                                                    <th>
                                                        Free Limit
                                                    </th>
                                                    <th>
                                                        Pricing
                                                    </th>
                                                    <th>
                                                        Sign Up
                                                    </th>
                                                    <th>
                                                        Key Retriving Guide.
                                                    </th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <th scope="row">
                                                        Blackblaze B2
                                                    </th>
                                                    <td>
                                                        10GB / Month (free)
                                                    </td>
                                                    <td>
                                                        <a href="https://www.backblaze.com/b2/cloud-storage-pricing.html" target="_blank">See pricing</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://www.backblaze.com/b2/sign-up.html" target="_blank">Sign Up</a>
                                                    </td>
                                                    <td>
                                                        <a href="https://youtu.be/vXQF3ES3gr0" target="_blank">Video Tutorial</a>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>

                                        </p>
                                    </div>

                                </div>

                            </div>

                            <!-- Content Ends -->


                        </div>
                    @stop


                    @push('scripts')
                    <script>
                      $(function(){
                          var hash = window.location.hash;
                          hash && $('ul.nav a[href="' + hash + '"]').tab('show');

                          $('.nav-tabs a').click(function (e) {
                            $(this).tab('show');
                            var scrollmem = $('body').scrollTop();
                            window.location.hash = this.hash;
                            $('html,body').scrollTop(scrollmem);
                          });
                        });
                    </script>
                    @endpush
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
